﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataGridVerticalGridlines
{
    // AnnotationPoint is simply an X,Y coordinate that implements INotifyPropertyChanged
    class AnnotationPoint : INotifyPropertyChanged
    {
        private double _x;

        public double X
        {
            get { return _x; }
            set { _x = value; OnPropertyChanged("X"); }
        }
        private double _y;

        public double Y
        {
            get { return _y; }
            set { _y = value; OnPropertyChanged("Y"); }
        }
        private string _label;

        public string Label
        {
            get { return _label; }
            set { _label = value; OnPropertyChanged("Label"); }
        }

        protected void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
